> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bank Checkout Deposit Status

> An integrator can use this endpoint to check the status of a deposit

An integrator can use this endpoint to check the status of a bank checkout deposit transaction.


## OpenAPI

````yaml GET /api/v3/deposit/bank/checkout/status/{reference_id}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/deposit/bank/checkout/status/{reference_id}:
    get:
      tags:
        - BANK DEPOSIT(checkout)
      summary: Get Deposit status
      description: An integrator can use this endpoint to check the status of a deposit
      operationId: DepositBankCheckoutController_getWithdrawalStatus_api/v3
      parameters:
        - name: reference_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Deposit status retrieved.
                  data:
                    $ref: '#/components/schemas/DepositCheckoutResponseDto'
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    DepositCheckoutResponseDto:
      type: object
      properties:
        id:
          type: string
          description: id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        referenceId:
          type: string
          description: reference id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        referenceNumber:
          type: number
          description: reference number
          example: 1234567890
        message:
          type: string
          description: message
          example: Deposit request sent successfully
        redirectUrl:
          type: string
          description: redirect url
          example: ''
        customerKey:
          type: string
          description: customer key
          example: ''
      required:
        - id
        - referenceId
        - referenceNumber
        - message
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````